<div hx-swap-oob="beforeend:#notifications">{{/* Note: this outer div will be omitted, only its content will be swapped */}}
  <div class="notification added" role="alert" classes="remove added:10ms">{{/* Note: the 'added' class is a workaround since the 'settle' modifier does not work in combination with hx-swap-oob, see comments in main.js and main.scss */}}
    <div class="notification-icon">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
        <g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
          <path
            d="M10.363 3.591L2.257 17.125a1.914 1.914 0 0 0 1.636 2.871h16.214a1.914 1.914 0 0 0 1.636-2.87L13.637 3.59a1.914 1.914 0 0 0-3.274 0zM12 9h.01" />
          <path d="M11 12h1v4h1" />
        </g>
      </svg>
    </div>

    <div class="notification-body">
      <h4>
        {{- if eq .event.Type "com.migratieketen.proces.toevoegen" -}}
        Nieuw proces toegevoegd
        {{- else if eq .event.Type "com.migratieketen.proces.wijzigen" -}}
        Status van proces gewijzigd
        {{- else -}}
        Onbekende gebeurtenis
        {{- end -}}
      </h4>
      {{with .event.Data}}
      <p>Dit betreft vreemdelingnummer <span class="font-medium">{{.vreemdelingId}}</span>.</p>
      <a class="notification-cta" href="/vreemdelingen/{{.vreemdelingId}}/processen/{{.procesId}}{{$.routeSuffix}}">
        Bekijk gegevens
      </a>
      {{end}}
    </div>

    <button type="button" class="notification-close" aria-label="Sluit">
      <span class="sr-only">Sluit</span>
      <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 14">
        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
          d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6" />
      </svg>
    </button>
  </div>
</div>
